> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all files

> List all files



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /media/files
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /media/files:
    get:
      tags:
        - Media Gallery
      summary: List all files
      description: List all files
      operationId: list-media-files
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/sortByOptions'
        - $ref: '#/components/parameters/searchKeyword'
        - $ref: '#/components/parameters/columnBasedFilters'
        - name: folder_id
          in: query
          description: folder id
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      files:
                        type: array
                        items:
                          $ref: '#/components/schemas/MediaFile'
                    type: object
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
    sortByOptions:
      name: sort_by
      in: query
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
    searchKeyword:
      name: search
      in: query
      required: false
      schema:
        type: string
      description: search keyword
    columnBasedFilters:
      name: filters
      in: query
      required: false
      schema:
        type: string
        example: >-
          {"condition":"AND","filters":[{"type":"data","field":"status","operator":"equals","value":"success"}]}
      description: JSON object
  schemas:
    MediaFile:
      title: MediaFile
      oneOf:
        - $ref: '#/components/schemas/MediaImageFile'
        - $ref: '#/components/schemas/MediaVideoFile'
        - $ref: '#/components/schemas/MediaDocumentFile'
      x-tags:
        - Media Gallery
    MediaImageFile:
      title: MediaImageFile
      allOf:
        - $ref: '#/components/schemas/MediaFileInfo'
        - type: object
          properties:
            external_url:
              type: string
              readOnly: true
            url:
              type: object
              properties:
                image_original:
                  type: string
                  readOnly: true
                image_standard:
                  type: string
                  readOnly: true
                image_thumbnail:
                  type: string
                  readOnly: true
                image_blur:
                  type: string
                  readOnly: true
      x-tags:
        - Media Gallery
    MediaVideoFile:
      title: MediaVideoFile
      allOf:
        - $ref: '#/components/schemas/MediaFileInfo'
        - type: object
          properties:
            video_duration:
              type: string
              readOnly: true
            url:
              type: object
              properties:
                video_preview_url:
                  type: string
                  readOnly: true
                video_stream_hls_url:
                  type: string
                video_stream_dash_url:
                  type: string
                  readOnly: true
                image_thumbnail:
                  type: string
                  readOnly: true
      x-tags:
        - Media Gallery
    MediaDocumentFile:
      title: MediaDocumentFile
      allOf:
        - $ref: '#/components/schemas/MediaFileInfo'
        - type: object
          properties:
            url:
              type: object
              properties:
                document:
                  type: string
                  readOnly: true
      x-tags:
        - Media Gallery
    MediaFileInfo:
      title: MediaFileInfo
      type: object
      properties:
        id:
          type: string
          readOnly: true
        file_name:
          type: string
        file_extension:
          type: string
          readOnly: true
        file_size:
          description: in bytes
          type: integer
          readOnly: true
        file_type:
          enum:
            - image
            - video
            - document
          readOnly: true
        mime_type:
          type: string
          readOnly: true
        title:
          type: string
        alternate_text:
          type: string
        description:
          type: string
        meta_data:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
              value:
                type: string
        tags:
          type: array
          items:
            type: string
        folder_id:
          type: string
        upload_source:
          enum:
            - local-storage
            - external-url
          readOnly: true
        status:
          enum:
            - ready
            - uploaded
            - pending
          readOnly: true
        usage:
          type: array
          items:
            $ref: '#/components/schemas/MediaFileUsage'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Media Gallery
    MediaFileUsage:
      title: MediaFileUsage
      type: object
      properties:
        used_in:
          description: section where file is used. e.g. product, campaign
          enum:
            - product
            - product_variant
            - campaign
            - warehouse
        used_in_reference_id:
          description: id of the reference object. e.g. product id, campaign id
          type: string
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Media Gallery
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````